/*Escribe en el LCD el prompt >. Recibe del 
teclado 2 nmeros a y b con ECO en el LCD, cada 
uno con valores entre (0..7). No se requiere teclear  
el caracter F para terminar el ingreso de los 
datos. El valor a es interpretado como el nmero
del led del puerto B. El valor b es interpretado
como el nmero de veces que debe flashear 
(encender 200 ms y apagar 200 ms) el led 
seleccionado. Por ejemplo si el usuario teclea 36,
el led 3 ser flasheado 6 veces.*/

#include <p18cxxx.h>
#include <delays.h>
#include <stdio.h>		//librera sprintf()
#include <stdlib.h>		//libreras atoi(),atof()
#include "18F2550BOLT.h"

extern void _startup( void ); // See c018i.c in your C18 compiler dir 
#pragma code _RESET_INTERRUPT_VECTOR = 0x000800 
void _reset( void ) 
{ 
    _asm goto _startup _endasm 
} 

#pragma code

int w1,w2,i;
char array[5];
 
void main()
{	
	init_bolt();
	InitLCD();
	PutLCD('>');
	w1=GetBot();
	PutLCD (w1);
	w2=GetBot();
	PutLCD (w2);
	w1=w1-0x30; /*Led que debe encenderse*/
	w2=w2-0x30;	/*Numero de veces que debe flashear*/
		for(i=0;i<w2;i++)
		{
		PORTB=1;
		PORTB=PORTB<<w1;
		delay_ms(1000);
		PORTB=0;
		delay_ms(1000);
		}
	while(1);
}
 



