/*Escribe en el LCD el prompt >. Recibe del teclado
2 nmeros hexadecimales de (00..FF), con ECO en
el LCD. Este nmero es interpretado en notacin 
complemento a 2. Escribe en la posicin (1,0) el
equivalente decimal (127..-128). Por ejemplo:
si el usuario escribe 23H, el resultado es 35. 
Si escribe 9DH el resultado es -99.*/

#include <p18cxxx.h>
#include <delays.h>
#include <stdio.h>		//librera sprintf()
#include <stdlib.h>		//libreras atoi(),atof()
#include "18F2550BOLT.h"

int conv_ascii_hexa(int num);

extern void _startup( void ); // See c018i.c in your C18 compiler dir 
#pragma code _RESET_INTERRUPT_VECTOR = 0x000800 
void _reset( void ) 
{ 
    _asm goto _startup _endasm 
} 

#pragma code

int w1,w2,i,w3;
char array[10];
 
void main()
{	
	init_bolt();
	InitLCD();
	PutLCD('>');
	w1=GetBot();
	PutLCD (w1);
	w2=GetBot();
	PutLCD (w2);
	w1=conv_ascii_hexa(w1);
	w2=conv_ascii_hexa(w2);
	PORTB = (w1*16)+w2;
	w3=PORTB;
		if(RB7 == 1) w3=w3+0XFF00;		
	sprintf(array,"N=%3d",w3);
	GotoXY(1,0);
	PrintString(array);
	while(1);
}
 
int conv_ascii_hexa(int num)
{
	if(num>0x39)
	{
		letra: num = num-0x37;
	} 
	else 
		numero: num = num-0x30;
	return num;	
}


