/*Muestra en el LCD el promt > en la 
posicin (0,0).
Recibe a travs del teclado 1 nmero
entero, (-128+127), con ECO. La letra A 
es interpretada como el signo positivo y la 
letra Bcomo signo negativo. El nmero siempre es de
4 caracteres. No se requiere teclear la F al
final del valor. En la posicin (1,0) escribe 
el equivalente binario del nmero ingresado, en
formato complemento a 2. Por ejemplo si la
entrada es +074, el resultado es 01001010. Si el
valor es -028, el resultado es 11100100.*/

#include <p18cxxx.h>
#include <delays.h>
#include <stdio.h>		//librera sprintf()
#include <stdlib.h>		//libreras atoi(),atof()
#include "18F2550BOLT.h"

extern void _startup( void ); // See c018i.c in your C18 compiler dir 
#pragma code _RESET_INTERRUPT_VECTOR = 0x000800 
void _reset( void ) 
{ 
    _asm goto _startup _endasm 
} 

#pragma code

int w1,w2,i,w3;
char array[20];
 
void main()
{
	init_bolt();
	InitLCD();
	PutLCD('>');
		for(i=0;i<4;i++)
		{
			array[i]=GetBot();
			if(array[i]=='A')array[i]='+';		
			if(array[i]=='B')array[i]='-';
			PutLCD(array[i]);
		}
	array[4]=0;
	w1=atoi(array);
	PORTB=w1;
		for(i=0;i<8;i++)
		{
			if(RB7==1)array[i]='1';
			else array[i]='0';
			PORTB=PORTB<<1;
			delay_ms(100);
		}
	array[8]=0;
	GotoXY(1,0);
	PrintString(array);	
		
	while(1);
	
	
	
	
	
} 


