/*Lee del teclado la letra "F" para grados 
Farenheit y "C" para grados Centigrados.
Lee la temperatura del sensor DS18B20 y la
muestra en el LCD con 2 enteros y 1 decimal*/

#include <p18cxxx.h>
#include <delays.h>
#include <stdio.h>		//librera sprintf()
#include <stdlib.h>		//libreras atoi(),atof()
#include "18F2550BOLT.h"
#include "ONEWIRE-BOLT.h"

extern void _startup( void ); // See c018i.c in your C18 compiler dir 
#pragma code _RESET_INTERRUPT_VECTOR = 0x000800 
void _reset( void ) 
{ 
    _asm goto _startup _endasm 
} 

#pragma code

float a;
int entero,decimal,c;
char array[10];
char temperatura[]="Tempe=";
 
void main()
{
init_bolt( );
InitLCD( );
c=GetBot();
	while(1)
	{
	ClearScreen( );
	PrintString(temperatura);
	a=ds1820_read();
		if(c=='F')a=(a*1.8)+32;
	entero=a; //PARTE ENTERA
	decimal=(a-entero)*10; //PARTE DECIMAL
	sprintf(array,"%2d.%d %c%c",entero,decimal,214,c); //CONVIERTE A STRING 
	GotoXY(1,0);
	PrintString(array);
	delay_ms(1000);
	}
	
	
	
} 


