//Enciende RB0, el resto de los leds apagados. 
//Si SW1=0, corrimiento de los leds hacia la
//derecha. 
//Si SW1=1, corrimiento de los leds hacia la 
//izquierda. 
//Retraso de 250 milisegundos entre corrimientos.

#include <p18cxxx.h>
#include <delays.h>
#include <stdio.h>		//librera sprintf()
#include <stdlib.h>		//libreras atoi(),atof()
#include "18F2550BOLT.h"

extern void _startup( void ); // See c018i.c in your C18 compiler dir 
#pragma code _RESET_INTERRUPT_VECTOR = 0x000800 
void _reset( void ) 
{ 
    _asm goto _startup _endasm 
} 

#pragma code


 
void main()
{
	
	init_bolt();
	PORTB = 0x80;
	while(1)
	{		
		if(SW1 == 1)
		{
			if(RB0 == 1)
			{				
				PORTB = 0x80;
			}
			else
				PORTB = PORTB >> 1;			
		}		
		else
		{
			if(RB7 == 1)
				{				
					PORTB = 0x01;
				}
			else
				PORTB = PORTB << 1;			
		}		
		delay_ms(100);	 
	}
		
} 
 



