//Lee un valor n de los 4 microswitches 
//SW1,SW2,SW3,SW4. (n= 0..15). Iniciando con RB0
//encendido, los dems apagados, 
//si n=0, corrimientos de los leds hacia la derecha. 
//Si n=7, corrimientos hacia la izquierda. 
//Si n=12, activa el relevador. 
//Si n=15, desactiva el relevador.

#include <p18cxxx.h>
#include <delays.h>
#include <stdio.h>		//librera sprintf()
#include <stdlib.h>		//libreras atoi(),atof()
#include "18F2550BOLT.h"

extern void _startup( void ); // See c018i.c in your C18 compiler dir 
#pragma code _RESET_INTERRUPT_VECTOR = 0x000800 
void _reset( void ) 
{ 
    _asm goto _startup _endasm 
} 

#pragma code

	int b;

 
void main()
{	
	init_bolt();
	PORTB = 0x80;
	while(1)
	{
	b = microsw();
		switch(b)
		{
			case 0:
				if(RB0 == 1)
				{				
					PORTB = 0x80;
				}
				else
					PORTB = PORTB >> 1;			
			delay_ms(100);						
			break;
			
			case 7:			
				if(RB7 == 1)
				{				
					PORTB = 0x01;
				}
				else
					PORTB = PORTB << 1;			
			delay_ms(100);		
			break;
		
			case 12:
			RELE = 1;
			break;
			
			case 15:
			RELE = 0;
			break;
			
			default:
			delay_ms(100);				
		}
	}
}
 



