/* Realizar un programa con la funcin de un control de 
acceso que requiera el ingreso desde el teclado de 
una clave de 4 digitos hexadecimales. 
Esta clave ser almacenada en EEPROM y el usuario tendr
la facilidad de modificarla al encender el sistema. 
Si se ingresa la  clave correcta se activa el relevador 
durante un segundo. (CHAPA ELECTRNICA)
*/

#include <p18cxxx.h>
#include <delays.h>
#include "18F2550BOLT.h"
#include "ONEWIRE-BOLT.h"
#include <stdio.h>	//librera sprintf()
#include <stdlib.h>	//libreras atoi(),atof()

extern void _startup( void ); 
#pragma code _RESET_INTERRUPT_VECTOR = 0x000800 
void _reset( void ) 
{ 
    _asm goto _startup _endasm 
} 

#pragma code
char clave[]= "CLAVE?"; 
char claveIgual[] = "Clave = ";
char claveUsuario [] = "1234";
char error404 [] = "Error";
char entrada;
int i;
int error = 0;


void main(void) 
{
	init_bolt();
Inicio:
	InitLCD();
	PrintString(clave); //A = si, B= no.
	entrada = GetBot();	
		if(entrada =='A')
		{
			ClearScreen();			
			GotoXY(1,0);
			for(i=0; i<4; i++)
			{
				claveUsuario[i] = GetBot();
				PutLCD(claveUsuario[i]);
				writeeeprom(i,claveUsuario[i]);			
 			}	
			goto Inicio;	
		}
		else
		{	
			repite:
			GotoXY(0,0);
			PrintString(claveIgual);
			GotoXY(1,0);
			for(i=0; i<4; i++)
			{
				claveUsuario[i] = GetBot();
				PutLCD(claveUsuario[i]);
				if(claveUsuario[i] != readeeprom(i)) error = 1;											
 			}
			if(error == 1)
			{
			ClearScreen();
			PrintString(error404);
			goto repite;
			}
			else 
				RELE = 1;
		}
	while(1);
}



